Back to Mobile View

Skip to Content

TUAW Deals

Photoshop CS6 to require 64-bit multi-core Mac

Adobe is following Apple's lead with OS X 10.7 Lion and ending support for 32-bit Macintosh systems. Starting with Adobe Photoshop CS6, Mac users must have a 64-bit, multi-core system with at least OS X 10.6 Snow Leopard.

If you have a Core 2 Duo or a Core iX system then you should be ready for the next version of Photoshop when it is released. If you have a Core Duo or older machine, then you should stay with CS5 and not upgrade to CS6.

If you are not sure about your hardware, then check out this Apple support document which'll tell how to find out whether you have a 32-bit or 64-bit system.

[Via CNET]

© 2014 AOL Inc. All Rights Reserved.